SBT(1)

NAME
sbt - An interactive build tool for Scala, Java, and more.

SYNOPSIS
sbt [-h] <commands> ...

DESCRIPTION
SBT is a build tool for Scala, Java, and more. It requires Java 1.8 or later. The current directory is assumed to be the project.

OPTIONS

-h, --help
    Show help options.

-v, --verbose
    turn up the noise

-V, --version
    print sbt version information

--numeric-version
    print the numeric sbt version (sbt sbtVersion)

--script-version
    print the version of sbt script

-d, --debug
    set sbt log level to debug

--no-colors
    disable ANSI color codes

--color=auto|always|true|false|never
    enable or disable ANSI color codes (sbt 1.3 and above)

--supershell=auto|always|true|false|never
    enable or disable supershell (sbt 1.3 and above)

--traces
    generate Trace Event report on shutdown (sbt 1.3 and above)

--timings
    display task timings report on shutdown

--sbt-create
    start sbt even if current directory contains no sbt project

--sbt-dir <path>
    path to global settings/plugins directory (default: ~/.sbt)

--sbt-boot <path>
    path to shared boot directory (default: ~/.sbt/boot in 0.11 series)

--ivy <path>
    path to local Ivy repository (default: ~/.ivy2)

--mem <integer>
    set memory options (default: 1024)

--no-share
    use all local caches; no sharing

--no-global
    uses global caches, but does not use global ~/.sbt directory.

--jvm-debug <port>
    Turn on JVM debugging, open at the given port.

--batch
    Disable interactive mode

SBT Version Options

--sbt-version <version>
    Use the alternate system wide

--sbt-jar <path>
    use the specified jar as the sbt launcher

Java Options

--java-home <path>
    alternate JAVA_HOME

-Dkey=val
    pass -Dkey=val directly to the java runtime

-J-X
    pass option -X directly to the java runtime (-J is stripped)

-S-X
    add -X to sbt's scalacOptions (-S is stripped)

FILES
~/.sbt
    The user configuration directory.
.jvmopts
    if this file exists in the current directory, its contents are appended to the JAVA_OPTS.
.sbtopts
    if this file exists in the current directory, its contents are prepended to the runner args.
/etc/sbt/sbtopts
    if this file exists, it is prepended to the runner args

ENVIRONMENT

JAVA_OPTS
    If non-null a set of arguments passed to java.

SBT_OPTS
    environment variable, if unset uses "-Dfile.encoding=UTF-8".

NOTES
In the case of duplicated or conflicting options, the order above shows precedence: JAVA_OPTS lowest, command line options highest.

EXAMPLES
Most users of this script will only have to call "sbt" on the command line.

BUGS
https://github.com/sbt/sbt/issues